-module(mad_local).

-export([
  compile/1,
  app/1,
  release/1,
  resolve/1,
  clean/1,
  start/1,
  attach/1,
  stop/1,
  sh/1,
  deps/1,
  up/1,
  fetch/1,
  static/1,
  eunit/1,
  strip/1
]).


compile(Params)   -> mad_compile:compile(Params).
app(Params)       -> mad_static:app(Params).
release(Params)   -> mad_release:release(Params).
resolve(Params)   -> mad_resolve:main(Params).
clean(Params)     -> mad_run:clean(Params).
start(Params)     -> mad_run:start(Params).
attach(Params)    -> mad_run:attach(Params).
stop(Params)      -> mad_run:stop(Params).
sh(Params)        -> mad_repl:sh(Params).
deps(Params)      -> mad_git:deps(Params).
up(Params)        -> mad_git:up(Params).
fetch(Params)     -> mad_git:fetch(Params).
static(Params)    -> mad_static:main([], Params).
eunit(Params)     -> mad_eunit:main_test(Params).
strip(Params)     -> mad_strip:main(Params).

